<template>
  <v-container
    fill-height
    fluid
    grid-list-xl
  >
    <v-layout
      justify-center
      wrap
    >
      <v-flex
        md12
      >
        <material-card
          color="blue"
          title="Danh sách chi tiêu"
        >
          <v-flex
            md4
            left
          >
            <v-btn
              color="success"
              @click="snack('top', 'left')"
            >
              Thêm
            </v-btn>
            <v-btn
              color="success"
              @click="snack('top', 'left')"
            >
              Xóa
            </v-btn>
          </v-flex>
          <v-flex
            md8
            right
          >
            <v-card-title>
              <v-text-field
                v-model="search"
                append-icon="mdi-magnify"
                label="Search"
                single-line
                hide-details
              ></v-text-field>
            </v-card-title>
           
          </v-flex>
          
           
          <v-data-table
            :headers="header_chitieu"
            :items="chitieuList"
            :search="search"
            hide-actions
          >
            <template
              slot="headerCell"
              slot-scope="{ header }"
            >
              <span
                class="subheading font-weight-light text-success text--darken-3"
                v-text="header.text"
              />
              
            </template>
            <template
              slot="items"
              slot-scope="{ item }"
            >
              <td>{{ item.id }}</td>
              <td>{{ item.noi_dung }}</td>
              <td>{{ item.so_tien }}</td>
              <td >{{ item.danh_muc }}</td>
              <td class="text-xs-right">{{ item.ghi_chu }}</td>
            </template>
          </v-data-table>
        </material-card>
      </v-flex>

    </v-layout>
  </v-container>
</template>

<script>
  import materialCard from '~/components/material/AppCard'
  // import { bankState } from "vuex";
  import axios from 'axios';

  export default {
    layout: 'dashboard',
    components: {
      materialCard
    },
    computed: {
      //   ...bankState("bank", {
      //     bankList: "bankList",
      // })
    },
    data () {
      return {
        search: '',
        bankList: [],
        chitieuList: [],
        header_chitieu: [
          {
            sortable: false,
            text: '#',
            value: 'name',
            filterable: false,
          },
          {
            sortable: false,
            text: 'Nội dung',
            value: 'noi_dung',
            filterable: true,
          },
          {
            sortable: false,
            text: 'Số tiền',
            value: 'so_tien',
            filterable: true,
          },
          {
            sortable: false,
            text: 'Danh mục',
            value: 'danh_muc',
            filterable: true,
          },
          {
            sortable: false,
            text: 'Chi Chú',
            value: 'ghi_chu',
            align: 'right',
            filterable: false,
          }
        ],
        items: []
    }
  }, //end data
    methods: {
      getBank(){
        const params = [];
        let self = this;
        // console.log("tst");
        // this.$store.dispatch('getBankList', params).then(() => {
        //   // alert(JSON.stringify(this.$store.getters.monitoringList));
        //   this.listData = this.$store.getters.bankList;
        //   // console.log(this.listData);
        // });
        axios
            .get('http://localhost:3000/api/banks')
            .then(function(response) {
                self.bankList = response.data.data;
                console.log(self.bankList);
            });

      },
      getChiTieu(){
        const params = [];
        let self = this;
        // console.log("tst");
        // this.$store.dispatch('getBankList', params).then(() => {
        //   // alert(JSON.stringify(this.$store.getters.monitoringList));
        //   this.listData = this.$store.getters.bankList;
        //   // console.log(this.listData);
        // });
        axios
            .get('http://localhost:3000/api/chitieus')
            .then(function(response) {
                self.chitieuList = response.data.data;
                console.log(self.chitieuList);
            });

      },
      filterOnlyCapsText (value, search, item) {
        return value != null &&
          search != null &&
          typeof value === 'string' &&
          value.toString().toLocaleUpperCase().indexOf(search) !== -1
      },
    },// end method
    created (){
      this.getBank();
      this.getChiTieu();
    },//end created
    
  } //End exxport defaul
</script>
